/**********************************************************
RunUO AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Red Squirrel on Sep-16-2011 09:08:40pm
Filepath: scripts\Items\Minor Artifacts\BanditsBolt.cs
Lines of code: 49

Description: 

***********************************************************/


using Server;
using System;

namespace Server.Items
{
	
	public class BanditsBolt : RepeatingCrossbow
	{
		public override int InitMinHits{ get{ return 255; } }
		public override int InitMaxHits{ get { return 255; } }

		[Constructable]
		public BanditsBolt() : base()
		{
			Name="Bandit's Bolt";
			Hue=1192;

			MaxRange = 10;
		
			Attributes.BonusDex=5;
			Attributes.WeaponSpeed=30;
			Attributes.WeaponDamage=40;
				
			WeaponAttributes.HitFireball=10;				
			WeaponAttributes.HitLeechMana=30;				
			WeaponAttributes.HitLeechStam=50;	
		
			AosElementDamages.Physical=100;
			AosElementDamages.Fire=0;
			AosElementDamages.Cold=0;
			AosElementDamages.Poison=0;
			AosElementDamages.Energy=0;
			AosElementDamages.Chaos=0;
		}
		

		

		public BanditsBolt( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 2 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();

			if ( version <= 1 )
			{
				MaxHitPoints = 255;
				HitPoints = 255;
			}

			if( version == 0 )
				SkillBonuses.SetValues( 0, SkillName.AnimalLore, 5.0 );
		}
	}
	
}